
Katello - Bug #6323

display of product content to enable is hitting api and only getting 20 results

06/20/2014 07:31 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1111715 Red Hat JIRA:  

Pull request:    

Description

The call to get product content to set override enable flags on is calling the API without any parameters. This defaults to paged

results limited to 20. Should be passing enabled=true(?) and not paging results.

Associated revisions

Revision 9d866e9d - 06/24/2014 07:20 AM - Thomas McKay

fixes #6323 - correctly get enabled products and full unpaged results

Revision 3a8dccb9 - 06/24/2014 09:12 AM - Thomas McKay

Merge pull request #4333 from thomasmckay/6323-page-content

fixes #6323 - correctly get enabled products and full unpaged results

Revision f86bfb4c - 06/24/2014 11:20 AM - Thomas McKay

fixes #6323 - correctly get enabled products and full unpaged results

Revision 8718eefa - 06/24/2014 01:12 PM - Thomas McKay

Merge pull request #4333 from thomasmckay/6323-page-content

fixes #6323 - correctly get enabled products and full unpaged results

History

#1 - 06/20/2014 07:32 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1111715

#2 - 06/24/2014 01:52 PM - Thomas McKay

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:f86bfb4c154b2c8400075a7b536758d8beab9c1b.

#3 - 06/28/2014 03:32 AM - Eric Helms

- Difficulty set to easy

- Triaged changed from No to Yes

#4 - 08/22/2014 08:58 AM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

http://www.tcpdf.org

